
html 
{
   height:			100%;
}


body
{
   height:			100%;
   margin:			0px;
   padding:			0px;
    font-family: 'Roboto', sans-serif;
   font-weight:		300;
   font-size:		16px;
   color:			#fff;
   line-height:		145%;
   letter-spacing:	0.02em;
    background: #141414;
}


#system-message { margin: 0px; }
/* bootstrap import */

img {
    width: auto\9;
    height: auto;
    max-width: 100%;
    vertical-align: middle;
    border: 0;
    -ms-interpolation-mode: bicubic;
}
.nav > li > a:hover, .nav > li > a:focus {text-decoration: none;background-color: transparent;}
.nav > li > a {display: block;}
li { line-height: normal;}
.nav {list-style: none; padding: 0; margin: 0;}
table {border-collapse: collapse;border-spacing: 0;}

/* ---------------------------------- */




    #desktop { display: none; }
    #mobile { display: block; }   
    #left { width: 100%; float: none; }
    #right { width: 100%; float: none; margin-top: 4%; }


header { position: fixed; top: 0; width: 100%; background: #141414; padding: 20px 5%; box-sizing: border-box; display: flex; justify-content: space-between; align-items: center; z-index: 1000; flex-wrap:wrap; }

#logo {font-weight: 300; font-size: 30px;font-family: 'Kanit', sans-serif; width: 100%; margin-bottom: 40px;}

main { padding: 160px 5% 20px; width: 100%; box-sizing: border-box; position: relative; z-index: 900; position: relative;}
footer { padding: 20px 5%; width: 100%; box-sizing: border-box; position: relative; z-index: 900;}
footer td { display: block; text-align: left; padding-bottom: 20px;}


#home main {display: none;}




/*--- MENU ----*/

#menu  {width: 100%;}
#menu ul {}
#menu li {float: left; margin-right: 40px;}
#menu li.active a {color:#ff801f; }


/*--- FONTS ----*/

h1{font-weight: 300; text-transform: uppercase; letter-spacing: 0.2em; color: #ff801f; font-size: 30px; margin: 0 0 20px; line-height: 1;}

/* h1{font-weight: 300; text-transform: uppercase; letter-spacing: 0.1em; color: #ffff; font-size: 30px;font-family: 'Kanit', sans-serif;text-shadow: 0 0 5px #FFF, 0 0 10px #FFF, 0 0 15px #FFF, 0 0 20px #ff801f, 0 0 30px #ff801f, 0 0 40px #ff801f, 0 0 55px #ff801f, 0 0 75px #ff801f; } */



h2 {font-weight: 300; text-transform: uppercase; letter-spacing: 0.2em; color: #ff801f; font-size: 20px; margin: 0 0 10px;}
.uk-scope .uk-h2, .uk-scope h2 {font-weight: 300; text-transform: uppercase; letter-spacing: 0.2em; color: #ff801f !important; font-size: 20px; margin: 0 0 10px;}
h3 {font-weight: 700; font-size: 18px; margin: 0px;}

p {margin: 0;}

a {color: #fff; text-decoration: none;}
a:hover {color: #ff801f; text-decoration: none;}

a.button {color: #fff; background: #ff801f; padding: 10px 20px; text-transform: uppercase; letter-spacing: 0.1em; transition: 0.2s;}
a.button:hover {color: #fff; background: #ffa45e;-webkit-box-shadow: 0px 0px 24px 1px rgba(255,128,31,0.5); 
box-shadow: 0px 0px 24px 1px rgba(255,128,31,0.5); }


/*--- Widgetkit ----*/
    .uk-scope .uk-subnav { display: flex;}
    .uk-scope .uk-subnav > * > :first-child {
  display: flex;
  align-items: center;
  column-gap: .25em;
  color: #fff;
  font-size: 1em;;
  text-transform: uppercase;
  transition: .2s ease-in-out;
    transition-property: all;
  transition-property: color,background-color; margin-bottom: 10px;
}
    
    .uk-scope .uk-subnav > .uk-active > a {  transition: 0.3s ease-in-out;
  color: #fff; text-shadow: 0 0 5px #FFF, 0 0 10px #FFF, 0 0 15px #FFF, 0 0 20px #ff801f, 0 0 30px #ff801f, 0 0 40px #ff801f, 0 0 55px #ff801f, 0 0 75px #ff801f;
}
    .uk-scope .uk-subnav > * > a {  transition: 0.3s ease-in-out;}
    .uk-scope .uk-subnav > * > a:hover {  transition: 0.3s ease-in-out;color: #fff; text-shadow: 0 0 12px rgba(255, 128, 31,0.8), 0 0 15px rgba(255, 128, 31,0.7), 0 0 30px rgba(255, 128, 31,0.5);}
    .uk-scope .uk-subnav >  .uk-active > a:hover {  text-shadow: 0 0 5px #FFF, 0 0 10px #FFF, 0 0 15px #FFF, 0 0 20px #ff801f, 0 0 30px #ff801f, 0 0 40px #ff801f, 0 0 55px #ff801f, 0 0 75px #ff801f;}
    



@media(min-width:768px){
#desktop { display: block; }
#mobile { display: none; }

#left { width: 45%; float: left; }
#right { width: 45%; float: right; margin-top: 0; }
 
}


@media(min-width:1250px){

    header { padding: 40px 5%;}
    footer { padding: 40px 5%;}
    main { padding: 140px 5% 40px; min-height: calc(100vh - 148px);}
    
    #left { width: 35%; float: left; }
    #right { width: 60%; float: right; margin-top: 0; }
    
    #menu {width: auto;}
    #menu li {float: left; margin-left: 40px; margin-right: 0;}

    #logo {margin: 0; width: auto}

    h1 {font-size: 80px;}
    h2 {font-size: 30px;}
    .uk-scope .uk-h2, .uk-scope h2 {font-size: 30px;}
    h3 {font-size: 20px;}
    body {font-size: 18px;}
    
    
    .portfolio { padding-left: 400px; position: relative; margin-top: 100px;}
    .uk-subnav { position: absolute; left: 0; top: 0;}
    .uk-scope .uk-subnav { display: block;}
    .uk-scope .uk-subnav > * > :first-child {
  display: flex;
  align-items: center;
  column-gap: .25em;
  color: #fff;
  font-size: 45px;
  text-transform: uppercase;
  transition: .2s ease-in-out;
    transition-property: all;
  transition-property: color,background-color; margin-bottom: 40px;
}
    
    .uk-scope .uk-subnav > .uk-active > a {  transition: 0.3s ease-in-out;
  color: #fff; text-shadow: 0 0 5px #FFF, 0 0 10px #FFF, 0 0 15px #FFF, 0 0 20px #ff801f, 0 0 30px #ff801f, 0 0 40px #ff801f, 0 0 55px #ff801f, 0 0 75px #ff801f;
}
    .uk-scope .uk-subnav > * > a {  transition: 0.3s ease-in-out;}
    .uk-scope .uk-subnav > * > a:hover {  transition: 0.3s ease-in-out;color: #fff; text-shadow: 0 0 12px rgba(255, 128, 31,0.8), 0 0 15px rgba(255, 128, 31,0.7), 0 0 30px rgba(255, 128, 31,0.5);}
    .uk-scope .uk-subnav >  .uk-active > a:hover {  text-shadow: 0 0 5px #FFF, 0 0 10px #FFF, 0 0 15px #FFF, 0 0 20px #ff801f, 0 0 30px #ff801f, 0 0 40px #ff801f, 0 0 55px #ff801f, 0 0 75px #ff801f;}
    
    footer td { display: table-cell; padding: 0;}
    footer td:last-child { text-align: right;}

    
}


